title: dwms-pdf-quarto
author: Ming Su
version: 0.0.1
quarto-required: ">=1.3.0"
contributes:
  formats:
    common:
      knitr:
        opts_chunk:
          echo: false
          message: false
          warning: false
    pdf:
      documentclass: article
      toc: false
      papersize: letter
      fontsize: 12pt   
      geometry: margin=1in
      fig-height: 4     # smaller fig heights make floating easier
      fig-width: 7.5    # set to the (full width - margins) of letter   
      fig-pos: "!t"
      colorlinks: true
      urlcolor: blue
      sansfont: "Gill Sans"
      sansfontoptions: 
        - Color=39729E
      mainfont: "Source Sans 3" #| Verdana (fontsize: 11pt) # Source Sans 3 | Times New Roman| Helvetica | PT Sans
      monofont: "JetBrains Mono"
      mathfont: "Cambria Math"
      CJKmainfont: SimHei
      block-headings: false # to deal with titlesec problems
      include-in-header: header.tex
      template-partials:
        - "partials/title.tex"
        - "partials/before-body.tex"
        - "partials/after-body.tex"
filters:
  - latex-environment
  - authoraffil.lua
lightbox: auto
commands: [clab]
